octocatalog-diff(1)

NAME
octocatalog-diff - Compile and compare Puppet catalogs

SYNOPSIS
octocatalog-diff [options]

DESCRIPTION
octocatalog-diff is a tool to detect and display differences in Puppet catalogs compiled from different environments. The catalogs may be obtained through any of the following means:

    •   Compilation using a local puppet instance

    •   Puppet master 3.x/4.x HTTP API

    •   PuppetDB HTTP API

    •   Precompiled JSON catalogs

octocatalog-diff filters out attributes or resources with no effect (e.g. tags) and displays only state differences between the two catalogs. It does not require a working Puppet master (or puppetserver), making it suitable for development use and use in Continuous Integration environments.

USAGE

For a list of all available options, please consult the output of octocatalog-diff --help. Usage examples are available under /usr/share/doc/octocatalog-diff.

SEE ALSO
puppet(8)

AUTHOR
octocatalog-diff was originally written by GitHub Inc.

This manual page was written by Apollon Oikonomopoulos <apoikos@debian.org> for the Debian project (but may be used by others).